summaryrefslogtreecommitdiff
path: root/clang-format-diff.sh
diff options
context:
space:
mode:
Diffstat (limited to 'clang-format-diff.sh')
-rwxr-xr-xclang-format-diff.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/clang-format-diff.sh b/clang-format-diff.sh
new file mode 100755
index 000000000..53020e59b
--- /dev/null
+++ b/clang-format-diff.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+MERGE_BASE=$(git merge-base master HEAD)
+FORMAT_MSG=$(git clang-format $MERGE_BASE -q --diff -- src/)
+if [ -n "$FORMAT_MSG" -a "$FORMAT_MSG" != "no modified files to format" ]
+then
+ echo "Run git clang-format before committing!"
+ echo
+ # Run git clang-format once again to show the error
+ git clang-format $MERGE_BASE -q --diff -- src/
+ exit 1
+fi